# helper script for makefile

me="`basename $0`"

case "$1" in
	"perlcore")
		shift
		for i in `perl -e 'print join(" ", @INC)'`; do
			ls -d $i/CORE 2> /dev/null
			ls -d $i/*/CORE 2> /dev/null
		done | sed 1q | (
			read d
			if test "$d"; then
				echo "$d"
			else
				exit 1
			fi
			exit 0
		)
		if test "$?" != "0"; then
			exec 1>&2
			echo "$me Error: could not find perl headers"
			exit 1
		fi
		;;
	*)
		exec 1>&2
		echo "$me Error: unrecognized subcommand"
		exit 1
		;;
esac

exit 0
